function rxnLine = stoic2rxnLine(stoicMat,speciesListName)

rxnLine={};
for i = 1:size(stoicMat,1)
    hitReactants = speciesListName(find(stoicMat(i,:)<0));
    hitReactantsStoic = abs(stoicMat(i,find(stoicMat(i,:)<0)));
    hitProducts = speciesListName(find(stoicMat(i,:)>0));
    hitProductsStoic = abs(stoicMat(i,find(stoicMat(i,:)>0)));
    LHS = concatenateSpecies(hitReactants,hitReactantsStoic);
    RHS = concatenateSpecies(hitProducts,hitProductsStoic);
    rxnLine{i,1}=strcat([LHS ' = ' RHS]);
end


end


function eqSideLine = concatenateSpecies(hitMet,hitStoic)
eqSideLine='';
if length(hitMet)==1
    if hitStoic(1) == 1
        eqSideLine = hitMet{1};
    else
        eqSideLine = strcat([num2str(hitStoic(1)) ' ' hitMet{1}]);
    end
    
else
    for i = 1:length(hitMet)
        if hitStoic(i) == 1
            speStoic = hitMet{i};
        else
            speStoic = strcat([num2str(hitStoic(i)) ' ' hitMet{i}]);
        end
        if i == 1
            eqSideLine = speStoic;
        else
            eqSideLine = strcat([eqSideLine ' + ' speStoic]);
        end        
    end
end

end